## lazarus 2.2.0%2Bdfsg

=== components/PascalScript/Source/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim i386-android i386-aros m68k-linux m68k-netbsd m68k-amiga m68k-atari m68k-palmos m68k-macosclassic m68k-embedded m68k-sinclairql powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macosclassic powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii powerpc-aix sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-haiku x86_64-netbsd x86_64-solaris x86_64-openbsd x86_64-darwin x86_64-win64 x86_64-embedded x86_64-iphonesim x86_64-android x86_64-aros x86_64-dragonfly arm-linux arm-netbsd arm-palmos arm-wince arm-gba arm-nds arm-embedded arm-symbian arm-android arm-aros arm-freertos arm-ios powerpc64-linux powerpc64-darwin powerpc64-embedded powerpc64-aix avr-embedded armeb-linux armeb-embedded mips-linux mipsel-linux mipsel-embedded mipsel-android mips64el-linux jvm-java jvm-android i8086-embedded i8086-msdos i8086-win16 aarch64-linux aarch64-freebsd aarch64-darwin aarch64-win64 aarch64-android aarch64-ios wasm32-embedded wasm32-wasi sparc64-linux riscv32-linux riscv32-embedded riscv64-linux riscv64-embedded xtensa-linux xtensa-embedded xtensa-freertos z80-embedded z80-zxspectrum z80-msxdos z80-amstradcpc
BSDs = freebsd netbsd openbsd darwin dragonfly
UNIXs = linux $(BSDs) solaris qnx haiku aix
LIMIT83fs = go32v2 os2 emx watcom msdos win16 atari
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(filter $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifeq ($(FULL_TARGET),arm-embedded)
ifeq ($(SUBARCH),)
$(error When compiling for arm-embedded, a sub-architecture (e.g. SUBARCH=armv4t or SUBARCH=armv7m) must be defined)
endif
override FPCOPT+=-Cp$(SUBARCH)
endif
ifeq ($(FULL_TARGET),avr-embedded)
ifeq ($(SUBARCH),)
$(error When compiling for avr-embedded, a sub-architecture (e.g. SUBARCH=avr25 or SUBARCH=avr35) must be defined)
endif
override FPCOPT+=-Cp$(SUBARCH)
endif
ifeq ($(FULL_TARGET),mipsel-embedded)
ifeq ($(SUBARCH),)
$(error When compiling for mipsel-embedded, a sub-architecture (e.g. SUBARCH=pic32mx) must be defined)
endif
override FPCOPT+=-Cp$(SUBARCH)
endif
ifeq ($(FULL_TARGET),xtensa-embedded)
ifeq ($(SUBARCH),)
$(error When compiling for xtensa-embedded, a sub-architecture (e.g. SUBARCH=lx106 or SUBARCH=lx6) must be defined)
endif
override FPCOPT+=-Cp$(SUBARCH)
endif
ifeq ($(FULL_TARGET),xtensa-freertos)
ifeq ($(SUBARCH),)
$(error When compiling for xtensa-freertos, a sub-architecture (e.g. SUBARCH=lx106 or SUBARCH=lx6) must be defined)
endif
override FPCOPT+=-Cp$(SUBARCH)
endif
ifeq ($(FULL_TARGET),arm-freertos)
ifeq ($(SUBARCH),)
$(error When compiling for arm-freertos, a sub-architecture (e.g. SUBARCH=armv6m or SUBARCH=armv7em) must be defined)
endif
override FPCOPT+=-Cp$(SUBARCH)
endif
ifneq ($(filter $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(filter $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(filter $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(filter $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
ifndef CROSSCOMPILE
BUILDFULLNATIVE=1
export BUILDFULLNATIVE
endif
ifdef BUILDFULLNATIVE
BUILDNATIVE=1
export BUILDNATIVE
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(filter $(OS_TARGET),darwin iphonesim ios),)
ifneq ($(filter $(OS_SOURCE),darwin ios),)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifneq ($(OS_TARGET),msdos)
ifndef DARWIN2DARWIN
ifneq ($(CPU_TARGET),jvm)
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
ifeq ($(OS_TARGET),android)
ifeq ($(CPU_TARGET),arm)
BINUTILSPREFIX=arm-linux-androideabi-
else
ifeq ($(CPU_TARGET),i386)
BINUTILSPREFIX=i686-linux-android-
else
BINUTILSPREFIX=$(CPU_TARGET)-linux-android-
endif
endif
endif
endif
endif
else
BINUTILSPREFIX=$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=pascalscript
override PACKAGE_VERSION=0.0.0.1
ifndef LCL_PLATFORM
ifeq ($(OS_TARGET),win32)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),win64)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=cocoa
else
LCL_PLATFORM=gtk2
endif
endif
endif
endif
export LCL_PLATFORM
DBG_OPTIONS=
ifeq ($(OS_TARGET),darwin)
DBG_OPTIONS=-gw
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-android)
override TARGET_UNITS+=pascalscript.pas
endif
ifeq ($(FULL_TARGET),i386-aros)

=== lcl/interfaces/nogui/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim i386-android i386-aros m68k-linux m68k-netbsd m68k-amiga m68k-atari m68k-palmos m68k-macos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii powerpc-aix sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-haiku x86_64-netbsd x86_64-solaris x86_64-openbsd x86_64-darwin x86_64-win64 x86_64-embedded x86_64-iphonesim x86_64-android x86_64-aros x86_64-dragonfly arm-linux arm-netbsd arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian arm-android arm-aros powerpc64-linux powerpc64-darwin powerpc64-embedded powerpc64-aix avr-embedded armeb-linux armeb-embedded mips-linux mipsel-linux mipsel-embedded mipsel-android jvm-java jvm-android i8086-embedded i8086-msdos i8086-win16 aarch64-linux aarch64-darwin aarch64-android wasm-wasm sparc64-linux riscv32-linux riscv32-embedded riscv64-linux riscv64-embedded xtensa-embedded
BSDs = freebsd netbsd openbsd darwin dragonfly
UNIXs = linux $(BSDs) solaris qnx haiku aix
LIMIT83fs = go32v2 os2 emx watcom msdos win16 atari
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifeq ($(FULL_TARGET),arm-embedded)
ifeq ($(SUBARCH),)
$(error When compiling for arm-embedded, a sub-architecture (e.g. SUBARCH=armv4t or SUBARCH=armv7m) must be defined)
endif
override FPCOPT+=-Cp$(SUBARCH)
endif
ifeq ($(FULL_TARGET),avr-embedded)
ifeq ($(SUBARCH),)
$(error When compiling for avr-embedded, a sub-architecture (e.g. SUBARCH=avr25 or SUBARCH=avr35) must be defined)
endif
override FPCOPT+=-Cp$(SUBARCH)
endif
ifeq ($(FULL_TARGET),mipsel-embedded)
ifeq ($(SUBARCH),)
$(error When compiling for mipsel-embedded, a sub-architecture (e.g. SUBARCH=pic32mx) must be defined)
endif
override FPCOPT+=-Cp$(SUBARCH)
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
ifndef CROSSCOMPILE
BUILDFULLNATIVE=1
export BUILDFULLNATIVE
endif
ifdef BUILDFULLNATIVE
BUILDNATIVE=1
export BUILDNATIVE
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifneq ($(OS_TARGET),msdos)
ifndef DARWIN2DARWIN
ifneq ($(CPU_TARGET),jvm)
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
ifeq ($(OS_TARGET),android)
ifeq ($(CPU_TARGET),arm)
BINUTILSPREFIX=arm-linux-androideabi-
else
ifeq ($(CPU_TARGET),i386)
BINUTILSPREFIX=i686-linux-android-
else
BINUTILSPREFIX=$(CPU_TARGET)-linux-android-
endif
endif
endif
endif
endif
else
BINUTILSPREFIX=$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=lcl
PACKAGEDIR_MAIN:=$(firstword $(subst /Makefile.fpc,,$(strip $(wildcard $(addsuffix /lcl/Makefile.fpc,$(PACKAGESDIR))))))
DBG_OPTIONS=
ifeq ($(OS_TARGET),darwin)
DBG_OPTIONS=-gw
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-android)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),i386-aros)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),m68k-macos)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_UNITS+=lcl.pas
endif
ifeq ($(FULL_TARGET),powerpc-aix)
override TARGET_UNITS+=lcl.pas
endif

=== debian/changelog ===
lazarus (2.2.0+dfsg-3~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 31 Jan 2022 13:36:41 -0800

lazarus (2.2.0+dfsg-3) unstable; urgency=medium

  * Updated control file for new Lazarus version (2.2.0).

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 17 Jan 2022 21:00:38 +0100

lazarus (2.2.0+dfsg-2) unstable; urgency=medium

  * Fixed allowing arbitrary FPPKG path.
  * Added FPC possible paths in Debian to search path list.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 16 Jan 2022 16:19:08 +0100

lazarus (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.0+dfsg
  * Updated patches to fit new upstream changes.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 14 Jan 2022 23:35:32 +0100

lazarus (2.0.12+dfsg-6) unstable; urgency=medium

  * Install Lazarus IDE with same widget set related units.
    People pulling arch all (lazarus-ide-qt5) will get lcl-qt5 installed
    automatically.
    People who want to install only IDE de to low disk space, will need to
    install arch specific package (lazarus-ide-qt5-2.0) rather than arch all
    one. (Closes: Bug#991704)
  * Fixed Lintian warnings about BSD license.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 07 Dec 2021 10:44:34 +0100

lazarus (2.0.12+dfsg-5) unstable; urgency=medium

  * Added wrongly removed lazfpreportdesign.lpk to expected failures list.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 05 Dec 2021 11:09:41 +0100

lazarus (2.0.12+dfsg-4) unstable; urgency=medium

  * Updated expected failures in test suite.
    Removed tests that are now passing from expected failures.
    Added fpvectorialpkg.lpk to expected failures list due to a bug in FPC
    code generator on ppc64el.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 04 Dec 2021 20:07:14 +0100

lazarus (2.0.12+dfsg-3) unstable; urgency=medium

  * Ensure no diversion is left after removal or upgrade. (Closes: Bug#990224)
  * Removed flaky flag on tests.
  * Fix unexpected failure building IDE inspector package test.
    (Closes: Bug#956956)
  * Updated time stamp for package IdeInspector.
  * Fixed typos introduced in 5141e596467ce187e707bffa704d00e0f8a0f6c4.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 28 Nov 2021 16:43:45 +0100

lazarus (2.0.12+dfsg-2) unstable; urgency=medium

  * Update changelog for 3.2.2+dfsg-2 release

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 27 Oct 2021 10:50:59 +0200

=== debian/control ===
Source: lazarus
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
Uploaders: Abou Al Montacir <abou.almontacir@sfr.fr>,
           Paul Gevers <elbrus@debian.org>
Standards-Version: 4.4.1
Build-Depends: debhelper (>= 11~),
               fp-utils (>= 3.2.0~),
               fpc (>= 3.2.0~),
               fpc-source (>= 3.2.0~),
               libgtk2.0-dev,
               libqt5pas-dev (>= 2.6~beta-6~),
               po-debconf,
               rdfind,
               symlinks
Vcs-Git: https://salsa.debian.org/pascal-team/lazarus.git
Vcs-Browser: https://salsa.debian.org/pascal-team/lazarus
Homepage: https://www.lazarus-ide.org/
Rules-Requires-Root: no

Package: lazarus-2.2
Architecture: all
Depends: lazarus-ide (>= ${source:Version}),
         lazarus-src-2.2 (>= ${source:Version}),
         lcl-2.2 (>= ${source:Version}),
         ${misc:Depends}
Recommends: fpc, fpc-source, lazarus-doc-2.2
Suggests: fp-docs, fp-utils
Provides: lazarus
Description: IDE for Free Pascal - suite
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This metapackage pulls in all the packages needed to have a typical
 Lazarus installation.

Package: lazarus-src-2.2
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: lazarus-ide-2.2
Provides: lazarus-src
Description: IDE for Free Pascal - LCL source code
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the latest version of the source code necessary for
 the IDE code tool to work properly (retrieving declarations and navigating
 in code).

Package: lazarus-ide-2.2
Architecture: any
Depends: fp-compiler, ${misc:Depends}, ${shlibs:Depends}
Recommends: fpc, gdb
Suggests: fp-utils
Provides: lazarus-ide
Built-Using: fpc (= ${Build-Using})
Description: IDE for Free Pascal - common IDE files
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the common files required to run Lazarus IDE.

Package: lazarus-ide-gtk2-2.2
Architecture: any
Depends: lazarus-ide-2.2, ${misc:Depends}, ${shlibs:Depends}
Recommends: gdb, lcl-2.2
Suggests: fp-utils
Provides: lazarus-ide, lazarus-ide-gtk-2.2, lazarus-ide-gtk2
Built-Using: fpc (= ${Build-Using})
Description: IDE for Free Pascal - GTK+ version
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the GTK+ version of the Lazarus IDE.

Package: lazarus-ide-qt5-2.2
Architecture: any
Depends: lazarus-ide-2.2, ${misc:Depends}, ${shlibs:Depends}
Recommends: gdb, lcl-2.2
Suggests: fp-utils
Provides: lazarus-ide, lazarus-ide-qt-2.2, lazarus-ide-qt5
Built-Using: fpc (= ${Build-Using})
Description: IDE for Free Pascal - Qt version
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the Qt version of the Lazarus IDE.

Package: lcl-2.2
Architecture: any
Multi-Arch: same
Depends: lcl-units-2.2, lcl-utils-2.2, ${misc:Depends}, ${shlibs:Depends}
Recommends: fpc, lazarus-src-2.2
Suggests: gdb
Provides: lcl
Built-Using: fpc (= ${Build-Using})
Description: Lazarus Components Library - LCL suite
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This metapackage installs the full LCL and components.

Package: lcl-utils-2.2
Architecture: any
Depends: fp-compiler, ${misc:Depends}, ${shlibs:Depends}
Recommends: lazarus-ide-2.2, lcl-2.2
Provides: lcl-utils
Built-Using: fpc (= ${Build-Using})
Description: Lazarus Components Library - command line build tools
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains command line tools to ease building LCL based
 applications.

Package: lcl-units-2.2
Architecture: any
Depends: lcl-gtk2-2.2 (= ${binary:Version}) | lcl-qt5-2.2 (= ${binary:Version}),
         ${fpc-abi:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: lazarus-src-2.0 (<< 2.0.10+dfsg-3)
Replaces: lazarus-src-2.0 (<< 2.0.10+dfsg-3)
Recommends: fpc
Suggests: gdb
Provides: lcl-units
Built-Using: fpc (= ${Build-Using})
Description: Lazarus Components Library - backend independent components
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains common components of the LCL.

Package: lcl-nogui-2.2
Architecture: any
Depends: fp-units-base,
         fp-units-fcl,
         fp-units-rtl,
         ${fpc-abi:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc, lazarus-ide-2.2
Suggests: gdb
Provides: lcl-nogui
Breaks: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
Replaces: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
Built-Using: fpc (= ${Build-Using})
Description: Lazarus Components Library - no GUI backend
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the part of the LCL for developing non-graphical
 applications and command line tools.

Package: lcl-gtk2-2.2
Architecture: any
Depends: fp-units-base,
         fp-units-fcl,
         fp-units-gtk2,
         fp-units-rtl,
         lcl-nogui-2.2,
         ${fpc-abi:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gdb
Provides: lcl-gtk, lcl-gtk2
Breaks: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
Replaces: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
Built-Using: fpc (= ${Build-Using})
Description: Lazarus Components Library - GTK+ backend
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for Lazarus

DEB_PACKAGE_NAME = lazarus
export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
export LANG:=C

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

# Documentation type to use chm/html
ifeq (${DEBDOCTYPE},)
DOCTYPE=html
# HTML Converter chmdocs or htmldocs for documentation format (defaults to both)
CONVERTER=${DOCTYPE}docs chmdocs
else
DOCTYPE=${DEBDOCTYPE}
CONVERTER=${DOCTYPE}docs
endif
# Define FPC
ifndef FPC
FPC=/usr/bin/fpc
endif
# Set FPCVER
FPCVER=$(shell ${FPC} -iV)

OS_TARGET=$(subst kfreebsd,freebsd,${DEB_HOST_ARCH_OS})

FPCTARGET=$(CPU_TARGET)-$(OS_TARGET)
# Get version information from changelog file via pkg-info.mk
DEB_UPSTREAM_MAIN_VERSION:=$(shell echo ${DEB_VERSION_UPSTREAM} | sed -e 's/^\([0-9\.]*\).*/\1/')
DEB_BUILD=$(lastword $(subst -, ,${DEB_VERSION}))
ifndef PACKAGESUFFIX
export PACKAGESUFFIX=-$(shell echo ${DEB_UPSTREAM_MAIN_VERSION} | sed -e 's/^\([0-9]*\.[0-9]*\).*/\1/')
endif
# Get directories
INSTALL_DIR_ARCH=${CURDIR}/debian/tmp
INSTALL_DIR_INDEP=${CURDIR}/debian/tmp2
BIN_DIR=${INSTALL_DIR_ARCH}/usr/bin
LIB_DIR=${INSTALL_DIR_ARCH}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
DOC_DIR=${INSTALL_DIR_INDEP}/usr/share/doc/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
DOC_DIR_ARCH=${INSTALL_DIR_ARCH}/usr/share/doc/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
SRC_DIR=${INSTALL_DIR_INDEP}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
# Get utils
ifndef MKDIR
MKDIR=mkdir -p
endif
ifndef CP
CP=cp -Rfpl
endif
ifndef MV
MV=mv
endif
RM:=rm -rf
# Get fpcmake from path if none is specified.
ifndef FPCMAKE
FPCMAKE=fpcmake
endif
# Set default compilation options
DEB_BUILD_FPC_OPT=debian/deb-build-fpc.cfg
DEB_HOST_FPC_OPT=debian/deb-host-fpc.cfg
BUILDOPTS=USESVN2REVISIONINC=0 OPT='@${CURDIR}/${DEB_HOST_FPC_OPT}'
INSTALLOPTS=PREFIX=$(INSTALL_DIR_ARCH)/usr
ifndef LAZBUILD
export LAZBUILD=${CURDIR}/lazbuild --lazarusdir=../..
endif

LDFLAGS:=$(strip $(shell echo '${LDFLAGS}' | \
	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11')) --as-needed
# Build with -pie everywhere except armhf, mips, mipsel, ppc64 and ppc64el
ifeq (,$(filter $(DEB_HOST_ARCH),armhf mips mipsel ppc64 ppc64el))
LDFLAGS:=$(LDFLAGS) -pie
endif

#export DH_VERBOSE=1

###################
# Clean
#

clean: clean-patched clean-make-files
	$(RM) debian/tmp2
	dh_clean
	# Make sure the debconf translations are always up-to-date
	debconf-updatepo
	# Make sure the list with timestamps is up-to-date
	# if the check fails, update with "fp-fix-timestamps update" and commit
	[ ! $$(which fp-fix-timestamps) ] || fp-fix-timestamps check

clean-patched: make-files
	@echo "--- Cleaning"
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) distclean ${BUILDOPTS} LCL_PLATFORM=qt5
	[ ! -f Makefile ] || $(MAKE) distclean ${BUILDOPTS} LCL_PLATFORM=gtk2
	$(MAKE) -C docs/html clean
	find -regex '.*\.\(a\|or?\|so\.*\|ppu\|rsj\)' -delete

###################
# Debian files
#

debian-files: debian-files-stamp
debian-files-stamp:$(patsubst %.in,%,$(wildcard debian/*.in))
	touch debian-files-stamp

make-files: make-files-stamp
make-files-stamp:
	# Regenerate make files using fpcmake.
	find * -name Makefile.fpc -exec ${FPCMAKE} -Tall '{}' +
	touch $@

clean-make-files:
	# Remove auto-generated make files.
	find * -name Makefile.fpc -execdir sh -c '${RM} $$(basename {} .fpc)' ';'
	${RM} make-files-stamp

###################
# Arch packages
#

configure: debian-files clean-make-files make-files configure-stamp
configure-stamp:
	dh_testdir
	dh_prep
	# Add version.inc:
	echo \'$(DEB_VERSION)\' > ide/version.inc

	# The next line adds the revision.inc file which is missing in upstream sources
	# Normally this is a number that can be taken from inspecting the tags directory here:
	# http://svn.freepascal.org/cgi-bin/viewvc.cgi/tags/?root=lazarus
	# But let's put something there describes better what the status is.
	echo const RevisionStr = \'Debian package $(DEB_VERSION)\'\; > ide/revision.inc

	# For reproducible builds, we need the above two files to have a fixed timestamp
	# Not added to debian/source/timestamps to keep that auto-updateable for now.
	touch --no-dereference --date="@$${SOURCE_DATE_EPOCH}" ide/version.inc
	touch --no-dereference --date="@$${SOURCE_DATE_EPOCH}" ide/revision.inc

	# Now that we are done with all changes to files in the packaging, let's
	# make sure that all the timestamps are reproducible.
	fp-fix-timestamps touch

	touch configure-stamp

build-arch: debian-files configure build-arch-stamp
build-arch-stamp: ${DEB_HOST_FPC_OPT}
	@echo "--- Building"
	dh_testdir
	# QT5
	${MAKE} bigide ${BUILDOPTS} LCL_PLATFORM=qt5
	${MV} $(CURDIR)/lazarus $(CURDIR)/lazarus-qt5
	# GTK2
	${MAKE} bigide ${BUILDOPTS} LCL_PLATFORM=gtk2
	${MV} $(CURDIR)/lazarus $(CURDIR)/lazarus-gtk2
	touch build-arch-stamp

install-arch: build-arch install-arch-stamp install-man
install-arch-stamp:
	@echo "--- Installing"
	dh_testdir
	dh_testroot
	dh_installdirs
	# create all necessary directories
	${MKDIR} ${BIN_DIR}
	${MKDIR} ${LIB_DIR}/tools
	${MKDIR} ${LIB_DIR}/components/chmhelp/lhelp
	# Install the IDE & its accessories
	${CP} -t ${LIB_DIR} \
		$(CURDIR)/lazarus-gtk2 \
		$(CURDIR)/lazarus-qt5 \
		$(CURDIR)/lazbuild \
		$(CURDIR)/startlazarus \
		$(CURDIR)/languages
	${CP} -t ${LIB_DIR}/tools \
		$(CURDIR)/tools/lazres \
		$(CURDIR)/tools/lrstolfm \
		$(CURDIR)/tools/svn2revisioninc \
		$(CURDIR)/tools/updatepofiles
	${CP} -t ${LIB_DIR}/components/chmhelp/lhelp \
		$(CURDIR)/components/chmhelp/lhelp/lhelp
	# Install the library files
	find -name debian -prune -or '(' -name lib -or -name units ')' -print | xargs ${CP} --parents -t ${LIB_DIR}
	# Remove READM.txt files from output directories
	find ${LIB_DIR} '(' -name '*.or' -or -wholename '*/lib/README.txt' ')' -delete
	# Mark package as manually compilable and install them
	for package in `find -name '*.lpk' | grep -v ^./debian` ; \
	do \
		${MKDIR} `dirname "${LIB_DIR}/$${package}"` ; \
		sed -e 's@\(\W*\)<CompilerOptions>.*@\1<AutoUpdate Value="Manually"/>\n&@' "$${package}" > "${LIB_DIR}/$${package}" ; \
	done
	${CP} -t ${LIB_DIR}/components/codetools \
		$(CURDIR)/components/codetools/fpc.errore.msg
	# Install packages global links
	${CP} -t ${LIB_DIR}/packager $(CURDIR)/packager/globallinks
	# copy icons and menu entry for the XDG menu
	${MKDIR} $(INSTALL_DIR_ARCH)/usr/share/applications
	${MKDIR} $(INSTALL_DIR_ARCH)/usr/share/icons/hicolor/scalable/apps
	# Install icon and desktop files
	${CP} $(CURDIR)/images/icons/lazarus.svg $(INSTALL_DIR_ARCH)/usr/share/icons/hicolor/scalable/apps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.svg
	for sz in 16x16 32x32 48x48 64x64 128x128 256x256 ; do \
		${MKDIR} $(INSTALL_DIR_ARCH)/usr/share/icons/hicolor/$${sz}/apps ; \
		${CP} $(CURDIR)/images/icons/lazarus$${sz}.png $(INSTALL_DIR_ARCH)/usr/share/icons/hicolor/$${sz}/apps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.png ; \
	done
	sed \
		-e 's/Lazarus.*/& (${DEB_UPSTREAM_MAIN_VERSION})/' \
		-e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' \
		-e 's/Icon=lazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' \
		$(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR_ARCH)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
	# Install configuration files
	${MKDIR} $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}
	sed -e "s#__LAZARUSDIR__#/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/#" -e 's#__FPCSRCDIR__#/usr/share/fpcsrc/$$(FPCVER)/#' ${CURDIR}/tools/install/linux/environmentoptions.xml > $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}/environmentoptions.xml
	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/helpoptions.xml -o $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}/helpoptions.xml
	# Install contributer list
	${MKDIR} ${DOC_DIR_ARCH}/docs
	${CP} -t ${DOC_DIR_ARCH}/docs \
		$(CURDIR)/docs/lazdoc.css \
